{
	"name": "table/external/odoo/product/product_work-actual.json",
	"table_name": "mrp_workcenter_productivity",
	"odoo_model": "mrp.workcenter.productivity",
	"table_prefix": "prwo",
	"record_type": ["actual"],
	"local_table": "product_work",
	"local_record_type": "actual",
	"field": [
		{
			"info": "Account Move Line",
			"field_name": "account_move_line_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Company",
			"field_name": "company_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Created on",
			"field_name": "create_date",
			"local_field": "create_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Created by",
			"field_name": "create_uid",
			"local_field": "json_data.create_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Currency",
			"field_name": "currency_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "End Date",
			"field_name": "date_end",
			"local_field": "end_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Start Date",
			"field_name": "date_start",
			"local_field": "start_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Description",
			"field_name": "description",
			"local_field": "info",
			"field_type": "text"
		},
		{
			"info": "Display Name",
			"field_name": "display_name",
			"local_field": "",
			"field_type": "varchar"
		},
		{
			"info": "Duration",
			"field_name": "duration",
			"local_field": "work_hours",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "employee_cost",
			"field_name": "employee_cost",
			"local_field": "",
			"field_type": "double",
			"type": "monetary"
		},
		{
			"info": "Employee\nemployee that record this working time",
			"field_name": "employee_id",
			"local_field": "person_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "ID",
			"field_name": "id",
			"local_field": "record_id",
			"field_type": "integer",
			"constraint": ["primary key"]
		},
		{
			"info": "Loss Reason",
			"field_name": "loss_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Effectiveness",
			"field_name": "loss_type",
			"local_field": "",
			"field_type": "text",
			"type": "selection"
		},
		{
			"info": "Manufacturing Order",
			"field_name": "production_id",
			"local_field": "production_order_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Cost",
			"field_name": "total_cost",
			"local_field": "",
			"field_type": "double",
			"type": "float"
		},
		{
			"info": "User",
			"field_name": "user_id",
			"local_field": "",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Work Center",
			"field_name": "workcenter_id",
			"local_field": "resource_id",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Work Order",
			"field_name": "workorder_id",
			"local_field": "work_phase_number",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		},
		{
			"info": "Last Updated on",
			"field_name": "write_date",
			"local_field": "modify_time",
			"field_type": "timestamp without time zone",
			"type": "datetime"
		},
		{
			"info": "Last Updated by",
			"field_name": "write_uid",
			"local_field": "modify_user",
			"field_type": "integer",
			"type": "many2one",
			"json_tag": "[1]"
		}
	]
}
